#!/bin/sh

# Script to automate the setting up of my working environment.
# First make sure the keepass Database.kdbx is in a folder.
# Open keepass in a separate window. The script will prompt for passwords.


####################
# Install KeePass2 #
####################

sudo apt install keepass2


####################
# Set some aliases #
####################

{
echo "alias lime2connect='ssh flyingscorpio@2px.info.tm'"
echo "alias protonvpn='sudo protonvpn'"
echo "alias fish='fish ~/.config/fish/functions/my_aliases.fish && fish'"
echo "alias rm='rm --preserve-root'"
echo "alias ll='ls -lArth'"
echo "alias la='ls -A'"
echo "alias l='ls -CF'"
echo "alias tor-browser-start='/home/flyingscorpio/NetworkAndSecurity/tor-browser-linux64-9.0.4_en-US/tor-browser_en-US/Browser/start-tor-browser --detach'"
} >> ~/.bash_aliases


#####################
# Install ProtonVPN #
#####################

sudo apt install -y openvpn dialog python3-pip python3-setuptools
sudo pip3 install protonvpn-cli
sudo protonvpn init

# Connect to ProtonVPN in Holland
sudo protonvpn c --cc NL


#############################
# Install and configure Git #
#############################

sudo apt install git
git config --global user.name "$USER@$(uname -n)"
git config --global user.email "tfranken@protonmail.com"
git config --global alias.ci "commit"
git config --global alias.co "checkout"
git config --global alias.st "status"
git config --global alias.br "branch"


##############################################################################
# Add MIME type for reading .md files in Firefox (need to add extension too) #
##############################################################################

if [ -e ~/.local/share/mime/packages/text-markdown.xml ]; then
echo "<?xml version=\"1.0\"?>
  <mime-info xmlns='http://www.freedesktop.org/standards/shared-mime-info'>
    <mime-type type=\"text/plain\">
      <glob pattern=\"*.md\"/>
      <glob pattern=\"*.mkd\"/>
      <glob pattern=\"*.markdown\"/>
    </mime-type>
  </mime-info>" >> ~/.local/share/mime/packages/text-markdown.xml
fi
